
Internal Tools - Bug #19550

Task # 19675 (New): プラン変更一括登録ツール

Bug # 19543 (Resolved): Issues on プラン変更一括登録ツール

[QA] 一括プラン変更投入後、MSPポータルからキャンセル操作すると 全回線がキャンセルされる。

06/07/2023 07:40 AM - Takeshi Sasamori

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Seongmin Choi   

Type:  バグ要因:  

Description

□テストデータ

アカウントID :airu_user01

パスワード :U71CmvGi

□テスト手順

1. http://223.25.162.146/fm/reports/files/Bulk-PlanChange/に一括プラン変更ファイル配置

プラン変更対象は以下3回線

08095102140　ARD-MPVC-30 -> ARD-CDVC-1

07040037341　ARD-MPVC-30 -> ARD-CDVC-1

07041501125　ARD-MPVC-30 -> ARD-CDVC-1

2. ファイル取り込みバッチ実行

　sudo /opt/Alternatives/report-server/opt/shells/AutoOrders/FM_MSP_BATCH_COMMAND.sh

3. MSPポータルから08095102140のプラン変更申込をキャンセル

□障害内容

・3回線のうち1回線のみのキャンセルでも同一SOの3回線すべてキャンセルされるが、配信されるプラン変更取消メールには08095102140しか記載がない。

□期待値

・同一SOの全回線がキャンセルされる仕様である場合、プラン変更取消メールにも全回線番号の記載があること。

・あるいは、ポータルからキャンセル申込した回線だけがプラン変更取消されること。

History

#1 - 06/07/2023 07:42 AM - Takeshi Sasamori

- File 12_AIRU_ServiceChangeMulti02_20230607.txt added

投入ファイル

12_AIRU_ServiceChangeMulti02_20230607.txt

#2 - 06/08/2023 12:30 AM - Daisuke Tajima

- Subject changed from [QA] 複数回線での一括プラン変更ファイル投入完了 -> そのうち1回線をポータルからキャンセル処理 -> 全回線キャンセル to [QA]

一括プラン変更投入後、MSPポータルからキャンセル操作すると 全回線がキャンセルされる。

#3 - 06/08/2023 05:07 AM - Seongmin Choi

- Status changed from New to Resolved

回線ごとにSO番号を分割するように修正しました。

ご確認をお願いします。

#4 - 06/08/2023 06:07 AM - Takeshi Sasamori

- % Done changed from 0 to 100

- Status changed from Resolved to Closed
http://223.25.162.146/fm/reports/files/Bulk-PlanChange/%E3%81%AB%E4%B8%80%E6%8B%AC%E3%83%97%E3%83%A9%E3%83%B3%E5%A4%89%E6%9B%B4%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E9%85%8D%E7%BD%AE


同内容のテストにて問題ないこと確認。

08095102140　ARD-MPVC-30 -> ARD-CDVC-1

07040037341　ARD-MPVC-30 -> ARD-CDVC-1

07041501125　ARD-MPVC-30 -> ARD-CDVC-1

SOは個別に付与され、08095102140のみ変更取消を確認。

07040037341,07041501125はそのままプラン変更適用を実施。

取消メール：08095102140のみ記載し配信

プラン変更完了メール：07040037341,07041501125をまとめて1メールで配信

クローズします。
